Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.tooling.model.eclipse
Interface HierarchicalEclipseProject

All Superinterfaces:
  HierarchicalProject, Project

All Known Subinterfaces:
  EclipseProject

    public interface HierarchicalEclipseProject

extends HierarchicalProject

Represents the basic information about an Eclipse project.

Method Summary
`DomainObjectSet<? extends HierarchicalEclipseProject>` | `getChildren()` Returns the child projects of this project.
`DomainObjectSet<? extends EclipseLinkedResource>` | `getLinkedResources()` Returns the linked resources for this project.
`HierarchicalEclipseProject` | `getParent()` Returns the parent project of this project, if any.
`DomainObjectSet<? extends EclipseProjectDependency>` | `getProjectDependencies()` Returns the project dependencies for this project.
`DomainObjectSet<? extends EclipseSourceDirectory>` | `getSourceDirectories()` Returns the source directories for this project.

Methods inherited from interface org.gradle.tooling.model.Project
`getDescription, getName, getPath, getProjectDirectory`

Method Detail

### getParent

    HierarchicalEclipseProject getParent()

  Returns the parent project of this project, if any.

  Specified by:
    `getParent` in interface `HierarchicalProject`
  Returns:
    The parent, or null if this project has no parent.

### getChildren

    DomainObjectSet<? extends HierarchicalEclipseProject> getChildren()

  Returns the child projects of this project.

  Specified by:
    `getChildren` in interface `HierarchicalProject`
  Returns:
    The child projects. Returns an empty set if this project has no children.

### getProjectDependencies

    DomainObjectSet<? extends EclipseProjectDependency> getProjectDependencies()

  Returns the project dependencies for this project.

  Returns:
    The project dependencies. Returns an empty set if the project has no project dependencies.

### getSourceDirectories

    DomainObjectSet<? extends EclipseSourceDirectory> getSourceDirectories()

  Returns the source directories for this project.

  Returns:
    The source directories. Returns an empty set if the project has no source directories.

### getLinkedResources

    DomainObjectSet<? extends EclipseLinkedResource> getLinkedResources()

  Returns the linked resources for this project.

  Returns:
    The linked resources.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD